TextTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.ext.TextTag,TextTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles.ext
Class TextTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.BaseInputTag
                              |
                              +--org.apache.struts.taglib.html.BaseFieldTag
                                    |
                                    +--org.apache.struts.taglib.tiles.ext.TextTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Deprecated. Use o.a.s.taglib.html.TextTag instead.

public class TextTag
extends BaseFieldTag

Convenience base class for the various input tags for text fields. Modification : add an prefix property

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan, Cedric Dumoulin
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `prefix` Deprecated. The prefix to be added before the html name.

Fields inherited from class org.apache.struts.taglib.html.BaseFieldTag
`accept, name, redisplay, type`

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TextTag()` Deprecated. Construct a new instance of this tag.

Method Summary
`int` | `doStartTag()` Deprecated. Generate the required input tag.
`java.lang.String` | `getPrefix()` Deprecated.
`void` | `release()` Deprecated. Release all allocated resources.
`void` | `setPrefix(java.lang.String prefix)` Deprecated.

Methods inherited from class org.apache.struts.taglib.html.BaseFieldTag
`getAccept, getName, getRedisplay, setAccept, setName, setRedisplay`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`doEndTag, getCols, getMaxlength, getProperty, getRows, getSize, getValue, setCols, setMaxlength, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### prefix

    protected java.lang.String prefix

  Deprecated.
  The prefix to be added before the html name.

Constructor Detail

### TextTag

    public TextTag()

  Deprecated.
  Construct a new instance of this tag.

Method Detail

### release

    public void release()

  Deprecated.
  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseFieldTag`

### getPrefix

    public java.lang.String getPrefix()

  Deprecated.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Deprecated.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated.
  Generate the required input tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseFieldTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation